
/* 
    Created on : 07-déc.-2015, 22:10:40
    Author     : jona
*/
@import "base";

$radius: 8px;

@mixin border-radius($radius) {
  -webkit-border-radius: $radius;
     -moz-border-radius: $radius;
      -ms-border-radius: $radius;
          border-radius: $radius;
}

.box { @include border-radius($radius); background: $secondaryColor;}


body {
  font: 100% $font-stack;
  color: $primary-color;
}


nav {
  ul {
    margin: 10px;
    padding: 0;
    list-style: none;
    
  }
  li { margin:0;padding:0; }
  a {
    display: block;
    padding: 6px 12px;
    text-decoration: none;
  }
}

/*Grid System*/
/*functions*/ 
$containerWidth: 1000px;
$nombreColonnes: 12;
$gutterWidth: 10px;
$gridWidth: ($containerWidth/$nombreColonnes) - $gutterWidth;


/*Native Functions*/
$rgbaColor: rgba(200,200,200,.6);
/*nav*/


/*Custom Function*/
@function grid-width($n) {
  @return $n * $gridWidth + ($n - 1) * $gutterWidth;
}

.container{width:$containerWidth;margin:0 auto;} 
#sidebar { width: grid-width(3);background:$rgbaColor; float:left;position:relative;}
#mainZone {width: grid-width(9);position:relative;float:left;}


/*Loops*/
$i: 0;
@while $i < $nombreColonnes {
  .col-#{$i+1} { width: percentage($i+1)/$nombreColonnes; padding:0 $gutterWidth; float:left;position:relative;box-sizing: border-box;}
  $i: $i+1;
}

.clearfix {clear:both;}




.message {
  border: 1px solid #ccc;
  padding: 10px;
  color: $white;
  background-color: red;

}

.success {
  @extend .message;
  background-color: $white;
  border: 3px solid green;
}
